# keystone.catalog.core module

Main entry point into the Catalog service.

class keystone.catalog.core.Manager

  Bases: `Manager`

  Default pivot point for the Catalog backend.

  See `keystone.common.manager.Manager` for more details on how this dynamically calls the backend.

  add_endpoint_group_to_project(endpoint_group_id, project_id)
  add_endpoint_to_project(endpoint_id, project_id)
  create_endpoint(endpoint_id, endpoint_ref, initiator=None)
  create_region(region_ref, initiator=None)
  create_service(service_id, service_ref, initiator=None)
  delete_association_by_endpoint(endpoint_id)
  delete_association_by_project(project_id)
  delete_endpoint(endpoint_id, initiator=None)
  delete_endpoint_group_association_by_project(project_id)
  delete_region(region_id, initiator=None)
  delete_service(service_id, initiator=None)
  driver_namespace: str = 'keystone.catalog'
  get_endpoint(endpoint_id)
  get_endpoint_groups_for_project(project_id)
  get_endpoints_filtered_by_endpoint_group(endpoint_group_id)
  get_region(region_id)
  get_service(service_id)
  get_v3_catalog(user_id, project_id)
  list_endpoints(hints=None)
  list_endpoints_for_project(project_id)

    List all endpoints associated with a project.

    Parameters:

      project_id (string) – project identifier to check

    Returns:

      a list of endpoint ids or an empty list.

  list_regions(hints=None)
  list_services(hints=None)
  remove_endpoint_from_project(endpoint_id, project_id)
  remove_endpoint_group_from_project(endpoint_group_id, project_id)
  update_endpoint(endpoint_id, endpoint_ref, initiator=None)
  update_region(region_id, region_ref, initiator=None)
  update_service(service_id, service_ref, initiator=None)

this page last updated: 2026-04-01 20:09:17

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug